콘텐츠로 건너뛰기

Wan 2.5 Image to Image

통합

모델 id wan-25-preview/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.05 50 API 크레딧 이 페이지에서 실행

API 키 받기

Doitong에서 제작됨

Doitong 커뮤니티가 Wan 2.5로 만든 공개 작품입니다. 한 번의 클릭으로 프롬프트를 재사용하세요.

표시된 공개 작품: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... 동영상

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... 동영상

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... 동영상

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... 동영상

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... 동영상

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 편집을 위한 텍스트 지침이며 2000자로 제한됩니다.

•필수 image_urls
파일을 끌어다 놓거나

편집할 이미지 URL입니다. 더 많이 제공하면 처음 2개만 사용합니다. 단일 이미지 편집에는 URL 1개가 필요하고, 다중 참조 생성에는 최대 2개를 허용합니다.

image_size 기본값 square

각각 384–1440픽셀 범위의 너비와 높이를 사용해 생성된 이미지의 크기를 설정합니다.

num_images 기본값 1

1~4 범위의 이미지 생성 개수입니다.

고급 negative_prompt · seed · enable_safety_checker

원하지 않는 콘텐츠를 지정하는 네거티브 프롬프트입니다. 500자로 제한됩니다.

생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.

POST /run/wan-25-preview/image-to-image?wait=20 견적 → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Wan 2.5 Image to Image 정보

최대 2000자의 텍스트 `prompt`로 이미지를 편집합니다. `image_urls`는 단일 편집에서 이미지 1개, 다중 참조 생성에서 이미지 2개를 받으며, 2개를 초과하는 이미지는 무시됩니다. `image_size`는 6가지 프리셋을 제공하고 너비와 높이는 384~1440픽셀입니다. 호출당 이미지 1~4개를 반환하며 `negative_prompt`와 `seed`를 지원합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
이미지 편집을 위한 텍스트 지침이며 2000자로 제한됩니다.
image_urls필수 images
유형url[] · image
편집할 이미지 URL입니다. 더 많이 제공하면 처음 2개만 사용합니다. 단일 이미지 편집에는 URL 1개가 필요하고, 다중 참조 생성에는 최대 2개를 허용합니다.
negative_prompt선택 사항
유형string | null
원하지 않는 콘텐츠를 지정하는 네거티브 프롬프트입니다. 500자로 제한됩니다.
image_size선택 사항
유형object
기본값square
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
각각 384–1440픽셀 범위의 너비와 높이를 사용해 생성된 이미지의 크기를 설정합니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
1~4 범위의 이미지 생성 개수입니다.
seed선택 사항
유형integer | null
생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사 스위치입니다. 끔 설정에는 계정 인증이 필요합니다. 인증이 없으면 설정과 관계없이 모든 요청을 검사하며, true는 검사기를 활성화합니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-25-preview/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seeds": [
      42
    ],
    "actual_prompt": "Reimagine the scene under a raging thunderstorm at night: lightning forks across the sky, illuminating the samurai in stark flashes of white light."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}편집 결과 이미지입니다.
seeds
array of integer개별 이미지를 생성하는 데 사용되는 시드 값입니다.
actual_prompt
string | null원본 프롬프트 텍스트입니다. 이미지 편집에서는 프롬프트 확장을 지원하지 않습니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/wan-25-preview/image-to-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt